Skip to main content
POST
/
v1
/
users
/
{user-id}
/
scheduled_time_offs
Create Scheduled Time Off
curl --request POST \
  --url https://api.tread-horizon.com/v1/users/{user-id}/scheduled_time_offs \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "start_date": "2023-11-07T05:31:56Z",
  "end_date": "2023-11-07T05:31:56Z"
}
'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "start_date": "2023-11-07T05:31:56Z",
    "end_date": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.tread.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept-Language
string
default:en

The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.

Example:

"en"

Path Parameters

user-id
string
required

User Id

Body

application/json

Scheduled Time Off - Create

start_date
string<date-time>
required
end_date
string<date-time>
required

Response

Create Schedule Time off

data
Scheduled-Time-Off-Read · object
required

Scheduled Time Off